Bug 462889 - Files and directories from Spacewalk backend are owned by multiple packages
Files and directories from Spacewalk backend are owned by multiple packages
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
0.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Pazdziora
Red Hat Satellite QA List
:
Depends On:
Blocks: space03
  Show dependency treegraph
 
Reported: 2008-09-19 10:21 EDT by Jan Pazdziora
Modified: 2009-09-17 03:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-17 03:01:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2008-09-19 10:21:53 EDT
Description of problem:

The packages spacewalk-backend-sql and spacewalk-backend-server, and spacewalk-backend-satellite-tools and spacewalk-backend-xml-export-libs own the same files and directories.

Version-Release number of selected component (if applicable):

Spacewalk 0.2:
# rpm -q spacewalk-backend-sql spacewalk-backend-server spacewalk-backend-satellite-tools spacewalk-backend-xml-export-libs 
spacewalk-backend-sql-0.2.5-1.el5.sw
spacewalk-backend-server-0.2.5-1.el5.sw
spacewalk-backend-satellite-tools-0.2.5-1.el5.sw
spacewalk-backend-xml-export-libs-0.2.5-1.el5.sw

How reproducible:

Deterministic.

Steps to Reproduce:
1. # rpm -ql spacewalk-backend-sql spacewalk-backend-server spacewalk-backend-satellite-tools spacewalk-backend-xml-export-libs | sort | uniq -d
  
Actual results:

/usr/share/rhn/satellite_tools
/usr/share/rhn/satellite_tools/connection.py
/usr/share/rhn/satellite_tools/connection.pyc
/usr/share/rhn/satellite_tools/connection.pyo
/usr/share/rhn/satellite_tools/diskImportLib.py
/usr/share/rhn/satellite_tools/diskImportLib.pyc
/usr/share/rhn/satellite_tools/diskImportLib.pyo
/usr/share/rhn/satellite_tools/__init__.py
/usr/share/rhn/satellite_tools/__init__.pyc
/usr/share/rhn/satellite_tools/__init__.pyo
/usr/share/rhn/satellite_tools/syncLib.py
/usr/share/rhn/satellite_tools/syncLib.pyc
/usr/share/rhn/satellite_tools/syncLib.pyo
/usr/share/rhn/satellite_tools/xmlDiskSource.py
/usr/share/rhn/satellite_tools/xmlDiskSource.pyc
/usr/share/rhn/satellite_tools/xmlDiskSource.pyo
/usr/share/rhn/satellite_tools/xmlSource.py
/usr/share/rhn/satellite_tools/xmlSource.pyc
/usr/share/rhn/satellite_tools/xmlSource.pyo
/usr/share/rhn/server
/usr/share/rhn/server/__init__.py
/usr/share/rhn/server/__init__.pyc
/usr/share/rhn/server/__init__.pyo

Expected results:

No output.

Additional info:
Comment 1 Jan Pazdziora 2008-09-19 10:22:31 EDT
Fix in master, commits 1f6a4dd79158570bdc7a23edfd12a1acd27e421d, f37d7096f45de7f2437398efa8695aba8feda851, and 91df055870b17a3364bcb3b4874acdff0bbe2f02.
Comment 2 Miroslav Suchý 2008-11-04 09:40:41 EST
rpm -ql spacewalk-backend-tools spacewalk-backend-xml-export-libs | sort | uniq -d
is silent
Comment 3 Miroslav Suchý 2009-09-17 03:01:46 EDT
Spacewalk has been released for some time.

Note You need to log in before you can comment on or make changes to this bug.